<div class="mt-4 blocks feed-details">
    <div class="mt-3 blocks">
        <form #connStorageForm="ngForm">
            <div class="row">
                <div class="col-md-10 d-flex">
                    <div class="text-dark font-weight-bold mb-1">{{dataStorageContent.sections.inboundTitle}}</div>
                  <ejs-tooltip id="tooltip" content={{dataStorageContent.sections.inboundTitle}}>
                  <em class="fa fa-info-circle ml-1 info-icon"></em></ejs-tooltip></div>
              </div>
            <hr class="bg-light mt-3 mb-1 customHR mt-2">
            <div class="row">
                <div class="col-md-10 mb-1">
                    <span class="text-left text-dark font-weight-bold">{{dataStorageContent.layer}}</span>
                    <div class="d-flex">
                    <ejs-dropdownlist name="sourceStorageI" #sourceStorageI="ngModel"
                        [(ngModel)]="inboundDetails.data_layer_id" [dataSource]="storageTypesI"
                        [fields]="sourceStorageFields" (change)="LayerSelected($event,connFlags[0])"
                        cssClass="e-outline" class="mr-6 custom-ddl"
                        [ngClass]="sourceStorageI.invalid && sourceStorageI.touched?'error-control-highlight':''"
                        [placeholder]="dataStorageContent.watermark">
                    </ejs-dropdownlist>
                    <!-- <ejs-tooltip id="tooltip" content={{dataStorageContent.sections.inboundLayerInfo}}>
                        <em class="fa fa-info-circle mt-3 ml-2"
                            [ngClass]="sourceStorageI.invalid && sourceStorageI.touched?'error-info-highlight':''"></em>
                    </ejs-tooltip> -->
                    </div>
                </div>
            </div>
            <div class="row d-flex">
                <div class="col-md-5 mb-1">
                    <span class="text-left text-dark font-weight-bold">{{dataStorageContent.path}}</span>
                    <ejs-dropdownlist name="fileInboundPath" #fileInboundPath="ngModel"
                        [(ngModel)]="inboundDetails.abslt_path" [dataSource]="iStoragePaths"
                        [fields]="sourceStoragePathFields" (change)="inboundPathChange($event)" (close)="onInboundPathChangeComplete()"
                         cssClass="e-outline" class="mr-6 custom-combo" [placeholder]="dataStorageContent.watermark"
                        [ngClass]="fileInboundPath.invalid && fileInboundPath.touched?'error-control-highlight':''">
                    </ejs-dropdownlist>
                    <!-- <ejs-tooltip id="tooltip" content={{dataStorageContent.sections.inboundPathInfo}}>
                        <em class="fa fa-info-circle mt-3 ml-2"
                            [ngClass]="fileInboundPath.invalid && fileInboundPath.touched?'error-info-highlight':''"></em>
                    </ejs-tooltip> -->
                </div>
                <div *ngIf="showInboundPathTextbox" class="col-md-5 mb-1 mt-4">
                    <ejs-textbox name="othersInboundPath" [(ngModel)]="inboundDetails.abslt_path" required
                     cssClass="e-outline" class="mr-6 custom-textbox" maxlength="50">
                    </ejs-textbox>
                </div>
            </div>
            <!-- <p class="custom-h6"><u><em><strong>{{dataStorageContent.sections.inboundTitle}}</strong></em></u></p>
        <div class="blocks">
            <p class="custom-h6 col-md-4">{{dataStorageContent.layer}}</p>
            <ejs-dropdownlist name="sourceStorageI" #sourceStorageI="ngModel" [(ngModel)]="inboundDetails.data_layer_id"
                [dataSource]="storageTypesI" [fields]="sourceStorageFields"
                (change)="LayerSelected($event,connFlags[0])" cssClass="e-outline" class="mr-6 custom-ddl"
                [ngClass]="sourceStorageI.invalid && sourceStorageI.touched?'error-control-highlight':''"
                [placeholder]="dataStorageContent.watermark" >
            </ejs-dropdownlist>
            <ejs-tooltip id="tooltip" content={{dataStorageContent.sections.inboundLayerInfo}}>
                <em class="fa fa-info-circle"
                    [ngClass]="sourceStorageI.invalid && sourceStorageI.touched?'error-info-highlight':''"></em>
            </ejs-tooltip>
        </div>
        <div class="blocks">
            <p class="custom-h6 col-md-4">{{dataStorageContent.path}}</p>
            <ejs-combobox name="fileInboundPath" #fileInboundPath="ngModel" [(ngModel)]="inboundDetails.abslt_path"
                [dataSource]="iStoragePaths" [fields]="sourceStoragePathFields" cssClass="e-outline"
                class="mr-6 custom-combo"
                [ngClass]="fileInboundPath.invalid && fileInboundPath.touched?'error-control-highlight':''"
                [placeholder]="dataStorageContent.watermark">
            </ejs-combobox>
            <ejs-tooltip id="tooltip" content={{dataStorageContent.sections.inboundPathInfo}}>
                <em class="fa fa-info-circle"
                    [ngClass]="fileInboundPath.invalid && fileInboundPath.touched?'error-info-highlight':''"></em>
            </ejs-tooltip>
        </div> -->
        <div class="row mt-5">
            <div class="col-md-10 text-dark font-weight-bold">{{dataStorageContent.sections.landingTitle}}
              <ejs-tooltip id="tooltip">
              <em class="fa fa-info-circle ml-2"></em></ejs-tooltip></div>
        </div>
                <hr class="bg-light mt-3 mb-1 customHR">
                <div class="row">
                    <div class="col-md-10 mb-1">
                        <span class="text-left text-dark font-weight-bold">{{dataStorageContent.layer}}</span>
                        <div class="d-flex">
                        <ejs-dropdownlist name="sourceStorageL" #sourceStorageL="ngModel"
                            [(ngModel)]="landingDetails.data_layer_id" [dataSource]="storageTypesL"
                            [fields]="sourceStorageFields" (change)="LayerSelected($event,connFlags[1])"
                            cssClass="e-outline" class="mr-6 custom-ddl"
                            [ngClass]="sourceStorageL.invalid && sourceStorageL.touched?'error-control-highlight':''"
                            [placeholder]="dataStorageContent.watermark">
                        </ejs-dropdownlist>
                        <!-- <ejs-tooltip id="tooltip" content={{dataStorageContent.sections.landingLayerInfo}}>
                            <em class="fa fa-info-circle mt-3 ml-2"
                                [ngClass]="sourceStorageL.invalid && sourceStorageL.touched?'error-info-highlight':''"></em>
                        </ejs-tooltip> -->
                        </div>
                    </div>
                </div>
                    <div class="row d-flex">
                        <div class="col-md-5 mb-1">
                        <span class="text-left text-dark font-weight-bold">{{dataStorageContent.path}}</span>
                        <!-- <div class="d-flex"> -->
                        <ejs-dropdownlist name="fileLandingPath" #fileLandingPath="ngModel"
                            [(ngModel)]="landingDetails.abslt_path" [dataSource]="lStoragePaths"
                            [fields]="sourceStoragePathFields" (change)="landingPathChange($event)" (close)="onLandingPathChangeComplete()"
                             cssClass="e-outline" class="mr-6 custom-combo"
                            [ngClass]="fileLandingPath.invalid && fileLandingPath.touched?'error-control-highlight':''"
                            [placeholder]="dataStorageContent.watermark">
                        </ejs-dropdownlist>
                    </div>
                        <!-- <ejs-tooltip id="tooltip" content={{dataStorageContent.sections.landingPathInfo}}>
                            <em class="fa fa-info-circle mt-3 ml-2"
                                [ngClass]="fileLandingPath.invalid && fileLandingPath.touched?'error-info-highlight':''"></em>
                        </ejs-tooltip> -->
                        <div *ngIf="showLandingPathTextbox" class="col-md-5 mb-1 mt-4">
                            <ejs-textbox name="othersInboundPath" [(ngModel)]="landingDetails.abslt_path" required
                             cssClass="e-outline" class="mr-6 custom-textbox" maxlength="50">
                            </ejs-textbox>
                        </div>
                        <!-- </div> -->
                    
                    </div>
                <div class="row mt-5">
                    <div class="col-md-10 text-dark font-weight-bold">{{dataStorageContent.sections.archivalTitle}}
                      <ejs-tooltip id="tooltip">
                      <em class="fa fa-info-circle ml-2"></em></ejs-tooltip></div>
                </div>
                <hr class="bg-light mt-3 mb-1 customHR">
                <div class="row">
                    <div class="col-md-10 mb-1">
                        <span class="text-left text-dark font-weight-bold">{{dataStorageContent.layer}}</span>
                        <div class="d-flex">
                        <ejs-dropdownlist name="sourceStorageA" #sourceStorageA="ngModel"
                            [(ngModel)]="archivalDetails.data_layer_id" [dataSource]="storageTypesA"
                            [fields]="sourceStorageFields" (change)="LayerSelected($event,connFlags[2])"
                            cssClass="e-outline" class="mr-6 custom-ddl"
                            [ngClass]="sourceStorageA.invalid && sourceStorageA.touched?'error-control-highlight':''"
                            [placeholder]="dataStorageContent.watermark">
                        </ejs-dropdownlist>
                        <!-- <ejs-tooltip id="tooltip" content={{dataStorageContent.sections.archivalLayerInfo}}>
                            <em class="fa fa-info-circle mt-3 ml-2"
                                [ngClass]="sourceStorageA.invalid && sourceStorageA.touched?'error-info-highlight':''"></em>
                        </ejs-tooltip> -->
                        </div>
                    </div>
                </div>
                <div class="row d-flex">
                    <div class="col-md-5 mb-1">
                        <span class="text-left text-dark font-weight-bold">{{dataStorageContent.path}}</span>
                        <ejs-dropdownlist name="fileArchivalPath" #fileArchivalPath="ngModel"
                            [(ngModel)]="archivalDetails.abslt_path" [dataSource]="aStoragePaths"
                            [fields]="sourceStoragePathFields" (change)="archivalPathChange($event)" (close)="onArchivalPathChangeComplete()"
                             cssClass="e-outline" class="mr-6 custom-combo"
                            [ngClass]="fileArchivalPath.invalid && fileArchivalPath.touched?'error-control-highlight':''"
                            [placeholder]="dataStorageContent.watermark">
                        </ejs-dropdownlist>
                    </div>
                        <!-- <ejs-tooltip id="tooltip" content={{dataStorageContent.sections.archivalPathInfo}}>
                            <em class="fa fa-info-circle mt-3 ml-2"
                                [ngClass]="fileArchivalPath.invalid && fileArchivalPath.touched?'error-info-highlight':''"></em>
                        </ejs-tooltip> -->
                        <div *ngIf="showArchivalPathTextbox" class="col-md-5 mb-1 mt-4">
                            <ejs-textbox name="othersInboundPath" [(ngModel)]="archivalDetails.abslt_path" required
                             cssClass="e-outline" class="mr-6 custom-textbox" maxlength="50">
                            </ejs-textbox>
                        </div>
                </div>
        </form>
    </div>

    <div class="row mt-5">
        <div class="col-md-10 text-dark font-weight-bold">{{dataStorageContent.title}}
          <ejs-tooltip id="tooltip">
          <em class="fa fa-info-circle ml-2"></em></ejs-tooltip></div>
    </div>
    <hr class="bg-light mt-3 mb-1 customHR">
    <div class="row">
        <div class="col-md-10 mb-1">
            <p class="text-left text-dark mt-2 mb-1 pl-0 col-md-4 font-weight-bold">{{dataStorageContent.fileFrequency.title}}</p>
            <div class="d-flex">
                <ejs-dropdownlist name="fileFrequency" #fileFrequency="ngModel"
                    [(ngModel)]="dataStorageDetails.file_frequency"
                    [ngClass]="fileFrequency.invalid && fileFrequency.touched?'error-control-highlight':''"
                    [dataSource]="fileFrequencyList" (select)="onFileFrequencyChange()" [fields]="fileFrequencyFields"
                    cssClass="e-outline" class="custom-ddl" [placeholder]="dataStorageContent.watermark">
                </ejs-dropdownlist>
                <!-- <ejs-tooltip id="tooltip" content={{dataStorageContent.fileFrequency.subtitle}}>
                    <em class="fa fa-info-circle mt-3 ml-2"
                        [ngClass]="fileFrequency.invalid && fileFrequency.touched?'error-info-highlight':''"></em>
                </ejs-tooltip> -->
            </div>
        </div>
    </div>
    <div *ngIf="dataStorageDetails.file_frequency==dataStorageContent.frequency.monthly">
        <div class="row">
            <div class="col-md-10  mb-1">
                <p class="text-left text-dark mt-2 mb-1 pl-0 col-md-4 font-weight-bold">{{dataStorageContent.fileArrivalDayMonthly.title}}</p>
                <div class="d-flex">
                    <ejs-numerictextbox name="monthDayStartNum" #monthDayStartNum="ngModel" cssClass="e-outline"
                        class="custom-textbox" [(ngModel)]="dataStorageDetails.file_arrival_start_day" format="n0"
                        min="1" max="10" step="1" [placeholder]="dataStorageContent.watermark"
                        [ngClass]="monthDayStartNum.invalid && monthDayStartNum.touched?'error-control-highlight':''">
                    </ejs-numerictextbox>
                    <p class="mr-2"></p>
                    <ejs-numerictextbox name="monthDayEndNum" #monthDayEndNum="ngModel" cssClass="e-outline"
                        class="custom-textbox" [(ngModel)]="dataStorageDetails.file_arrival_end_day" format="n0"
                        min="11" max="20" step="1" [placeholder]="dataStorageContent.watermark"
                        [ngClass]="monthDayEndNum.invalid && monthDayEndNum.touched?'error-control-highlight':''">
                    </ejs-numerictextbox>
                    <!-- <ejs-tooltip id="tooltip" content={{dataStorageContent.fileArrivalDayMonthly.subtitle}}>
                        <em class="fa fa-info-circle mt-3 ml-2"></em></ejs-tooltip> -->
                </div>
            </div>
        </div>
    </div>
    <div *ngIf="dataStorageDetails.file_frequency==dataStorageContent.frequency.weekly">
        <div class="row">
            <div class="col-md-10  mb-1">
                <p class="text-left text-dark mt-2 mb-1 pl-0 col-md-4 font-weight-bold">{{dataStorageContent.fileArrivalDayWeekly.title}}</p>
                <div class="d-flex">
                    <ejs-dropdownlist name="weekDayStartNum" #weekDayStartNum="ngModel"
                        [(ngModel)]="dataStorageDetails.file_arrival_start_day" [dataSource]="weekDayNumList"
                        [fields]="weekDayNumFields" cssClass="e-outline" class="custom-ddl"
                        [placeholder]="dataStorageContent.watermark"
                        [ngClass]="weekDayStartNum.invalid && weekDayStartNum.touched?'error-control-highlight':''">
                    </ejs-dropdownlist>
                    <p class="mr-2"></p>
                    <ejs-dropdownlist name="weekDayEndNum" #weekDayEndNum="ngModel"
                        [(ngModel)]="dataStorageDetails.file_arrival_end_day" [dataSource]="weekDayNumList"
                        [fields]="weekDayNumFields" cssClass="e-outline" class="custom-ddl"
                        [placeholder]="dataStorageContent.watermark"
                        [ngClass]="weekDayEndNum.invalid && weekDayEndNum.touched?'error-control-highlight':''">
                    </ejs-dropdownlist>
                    <!-- <ejs-tooltip id="tooltip" content={{dataStorageContent.fileArrivalDayWeekly.subtitle}}>
                        <em class="fa fa-info-circle mt-3 ml-2"></em></ejs-tooltip> -->
                </div>
            </div>
        </div>
    </div>
    <div *ngIf="dataStorageDetails.file_frequency==dataStorageContent.frequency.daily">
        <div class="row">
            <div class="col-md-10  mb-1">
                <p class="text-left text-dark mt-2 mb-1 pl-0 col-md-4 font-weight-bold">{{dataStorageContent.fileArrivalTime.title}}</p>
                <div class="d-flex">
                    <ejs-timepicker name="fileArrivalTime" #fileArrivalTime="ngModel" class="custom-timepicker"
                        cssClass="e-outline" (change)="fileArrivalTimeChange($event)" [(ngModel)]="fileArrivalTimeVal"
                        [step]="defaultTimeInterval" [format]="timePickerFormat"
                        [placeholder]="dataStorageContent.watermark"
                        [ngClass]="fileArrivalTime.invalid && fileArrivalTime.touched?'error-control-highlight':''">
                    </ejs-timepicker>
                    <!-- <ejs-tooltip id="tooltip" class="timepicker-tooltip"
                        content={{dataStorageContent.fileArrivalTime.subtitle}}>
                        <em class="fa fa-info-circle mt-3 ml-2"></em></ejs-tooltip> -->
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-10 mb-1">
            <p class="text-left text-dark mt-2 mb-1 pl-0 col-md-4 font-weight-bold">{{dataStorageContent.fileNamingPattern.title}}</p>
            <div class="d-flex">
                <ejs-textbox name="txtStandardFileName" #txtStandardFileName="ngModel" [(ngModel)]="fileNamingPattern"
                    autocomplete="off" cssClass="e-outline" class="custom-textbox"
                    [ngClass]="txtStandardFileName.invalid && txtStandardFileName.touched?'error-textbox-highlight':''"
                    maxlength="50"></ejs-textbox>
                <ejs-tooltip id="tooltip" content={{dataStorageContent.fileNamingPattern.subtitle}}>
                    <em class="fa fa-info-circle mt-3 ml-2"
                        [ngClass]="txtStandardFileName.invalid && txtStandardFileName.touched?'error-info-highlight':''"></em>
                </ejs-tooltip>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-10  mb-1">
            <p class="text-left text-dark mt-2 mb-1 pl-0 col-md-4 font-weight-bold">Control File</p>
            <ejs-dropdownlist name="controlFile" cssClass="e-outline" class="custom-ddl" [dataSource]="controlFilesList"
                [fields]="controlFileFields" (change)="onControlFileSelection($event)"
                [placeholder]="dataStorageContent.watermark">
            </ejs-dropdownlist>
        </div>
    </div>   
</div>